FROM nginx:alpine

# Copy nginx config
COPY nginx/default.conf /etc/nginx/conf.d/default.conf

# Copy homepage files
COPY html/ /usr/share/nginx/html/

# Change permissions for NGINX access
RUN chmod -R 755 /usr/share/nginx/html/

EXPOSE 80
